<?php
function spp_lch_add_post_type() {
  $labels = array(
    'name' => _x('Last Chance Popups', 'post type general name', 'spp_lastchance'),
    'singular_name' => _x('Last Chance Popup', 'post type singular name', 'spp_lastchance'),
    'add_new' => _x('Add New', 'book', 'spp_lastchance'),
    'add_new_item' => __('Add New Popup', 'spp_lastchance'),
    'edit_item' => __('Edit Popup', 'spp_lastchance'),
    'new_item' => __('New Popup', 'spp_lastchance'),
    'all_items' => __('All Popups', 'spp_lastchance'),
    'view_item' => __('View Popup', 'spp_lastchance'),
    'search_items' => __('Search Popups', 'spp_lastchance'),
    'not_found' =>  __('No Popup found', 'spp_lastchance'),
    'not_found_in_trash' => __('No Popup found in Trash', 'spp_lastchance'), 
    'parent_item_colon' => '',
    'menu_name' => __('Last Chance', 'spp_lastchance')

  );
  $args = array(
    'labels' => $labels,
    'public' => true,
    'publicly_queryable' => true,
    'show_ui' => true, 
    'show_in_menu' => true, 
    'query_var' => true,
    'rewrite' => false,
    'capability_type' => 'post',
    'has_archive' => false, 
    'hierarchical' => false,
    'menu_position' => null,
    'supports' => array( 'title', 'editor' )
  ); 
  register_post_type('spp_lch_popups', $args);
}

// Flush rewrite rules
function spp_lch_activation() {
  // Run post type first so we have something to flush
  spp_lch_add_post_type();
  // Flush rules to make permalinks work
  flush_rewrite_rules();
}
?>