jQuery(document).ready( function($){
var oldcookie = readCookie('spp_lch_popups_hide');
if( oldcookie != 1 || spp_lch_localize_params.cookie == 1 ) {
	$('body').mouseleave(function() {
		var newcookie = readCookie('spp_lch_popups_hide');
		if(newcookie != 1 || spp_lch_localize_params.cookie == 1) {
		$.magnificPopup.open({
			items: {
				src: '.spp-lch-exit'
			},
			type: 'inline',			
			callbacks: {
		    open: function() {		      
		    // this part overrides "close" method in MagnificPopup object
		    $.magnificPopup.instance.close = function () { 
				if(spp_lch_localize_params.cookie != 1) {
				SetCookie( 'spp_lch_popups_hide', '1', spp_lch_localize_params.cookie_duration);
			}
			$.magnificPopup.proto.close.call(this);
			}; 
		    }
		  }
		});
		}
	});
}
}); // global end

function SetCookie(cookieName,cookieValue,nDays) {
 var today = new Date();
 var expire = new Date();
 if (nDays==null || nDays==0) nDays=1;
 expire.setTime(today.getTime() + 3600000*24*nDays);
 document.cookie = cookieName+"="+escape(cookieValue) + ";expires="+expire.toGMTString()+"; path=/";;
}

function readCookie(cookieName) {
 var re = new RegExp('[; ]'+cookieName+'=([^\\s;]*)');
 var sMatch = (' '+document.cookie).match(re);
 if (cookieName && sMatch) return unescape(sMatch[1]);
 return '';
}



