<?
/*
Plugin Name: Last Chance
Plugin URI: http://sellplrplugins.com
Description: Gorgeous exit popups
Version: 1.0.4
Author: Lynette Chandler
Author URI: http://techbasedmarketing.com
Stable tag: 1.0.4
*/
// Define constants
define( 'SPP_LCH_DIR', WP_PLUGIN_URL.'/'.basename(__DIR__) ).'/';
define( 'SPP_LCH_PATH', WP_PLUGIN_DIR.'/'.basename(__DIR__) ).'/';
define( 'SPP_LCH_WP_DIR', get_bloginfo('wpurl') );
define( 'SPP_LCH_PLUGIN_NAME', 'Last Chance' );
define( 'SPP_LCH_VERSION', '1.0.4' );

if( get_option( 'spp_lch_options' ) ) {
	$spp_lch_options = get_option( 'spp_lch_options' );
	global $spp_lch_options;
} 

register_activation_hook( __FILE__, 'spp_lch_activate' );
function spp_lch_activate() {
  $spp_lch_options = array(  
    'default_lchpopup' =>  '0',
    'page_lchpopup' => '0',
    'home_lchpopup' =>  '0',
    'archive_lchpopup' =>  '0',
    'cookie' => '',
    'cookie_duration' => '14',
    'frobs' => '',
    'frobc' => '',
    'frobstyle' => '',
    'frobgc' => '',
    'frobgi' => '',
    'frobgp' => '',
    'fribs' => '',
    'fribc' => '',
    'fribstyle' => '',
    'fribgc' => '#c0392b',
    'fribgi' => '',
    'fribgopacity' => '',
    'fribgp' => '20',
    'frtxtc' => '#FFFFFF'
  );

  if( !get_option('spp_lch_options') ){
    update_option('spp_lch_options', $spp_lch_options );
  }
}

include_once('modules/settings-api-tabbed.php');
include_once('modules/cpt.php');
include_once('modules/meta_box.php');
include_once('modules/scripts.php');
include_once('modules/hooks.php');

// On activation
register_activation_hook( __FILE__, 'spp_lch_activation' );
// Initialize
add_action( 'init', 'spp_lch_add_post_type' );
?>